Skip to main content
GET
List an entity's PSM publications

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

entityId
string<uuid>
required

Query Parameters

type
enum<string>

Filter publications by type (exact match). Use type[] to match any of several types. Official PSM publication type:

Available options:
general_assembly_call,
sas_annual_financial_report,
liquidation_balance,
shareholder_structure_registration_notice,
current_shareholder_structure_notice,
capital_reduction,
capital_increase,
full_capital_subscription_and_payment_notice,
financial_statements,
transformation,
sas_shareholders_meeting_call,
sas_share_register_notice,
spin_off,
merger,
sole_shareholder_contracts,
partial_liquidation_distribution,
beneficial_owner_identification,
bond_issuer_balance,
call_on_unpaid_shares,
court_ordered_assembly_call,
participation_certificate_holders_meeting_call,
foreign_company_balance,
amortized_shares_draw_result,
constitutive_general_assembly_call,
transport_operator_regulations,
dissolution_or_liquidation_registration_notice,
share_transfer
Example:

"capital_increase"

type[]
enum<string>[]

Filter publications by any of several types (exact match)

Official PSM publication type:

Available options:
general_assembly_call,
sas_annual_financial_report,
liquidation_balance,
shareholder_structure_registration_notice,
current_shareholder_structure_notice,
capital_reduction,
capital_increase,
full_capital_subscription_and_payment_notice,
financial_statements,
transformation,
sas_shareholders_meeting_call,
sas_share_register_notice,
spin_off,
merger,
sole_shareholder_contracts,
partial_liquidation_distribution,
beneficial_owner_identification,
bond_issuer_balance,
call_on_unpaid_shares,
court_ordered_assembly_call,
participation_certificate_holders_meeting_call,
foreign_company_balance,
amortized_shares_draw_result,
constitutive_general_assembly_call,
transport_operator_regulations,
dissolution_or_liquidation_registration_notice,
share_transfer
publishedAt[before]
string<date-time>

Filter publications by publication date and time (less than or equal <=)

publishedAt[strictly_before]
string<date-time>

Filter publications by publication date and time (less than <)

publishedAt[after]
string<date-time>

Filter publications by publication date and time (greater than or equal >=)

publishedAt[strictly_after]
string<date-time>

Filter publications by publication date and time (greater than >)

order[publishedAt]
enum<string>

Order publications by publication date

Available options:
asc,
desc
Example:

"asc"

id[lt]
string

Collection cursor pointer to the next page

id[gt]
string

Collection cursor pointer to the previous page

itemsPerPage
integer
default:20

Number of items per page

Required range: 1 <= x <= 1000

Response

PSM publication collection response

@context
string
default:/contexts/PsmPublication
@id
string
Example:

"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/mx/psm/publications"

@type
string
default:hydra:Collection
hydra:member
object[]
hydra:view
object

Pagination information